Skip to main content
POST
Hide, like or delete a comment

Authorizations

Authorization
string
header
required

Agent token (alt_…) or OAuth access token; bound to one agent

Path Parameters

accountId
string
required

Social account id (sac_…)

Body

application/json
post_id
string
required

post_id from list_social_post_analytics or a social.comment_received event, or a post made through Agent Loadout (spo_…)

Required string length: 1 - 500
comment_id
string
required

Comment id from list_social_comments

Required string length: 1 - 500
action
enum<string>
required

hide/unhide: Facebook, Instagram, Threads, X, TikTok. like/unlike: Facebook, X, Bluesky, Reddit, LinkedIn, Instagram. delete: every network with comments except Pinterest

Available options:
hide,
unhide,
like,
unlike,
delete

Response

Done

done
boolean
action
string
comment_id
string
post_id
string